# No SOURCE spec-file
#
%define mozillalibdir %{_libdir}/%{name}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:	Cyberfox web browser
Name:		cyberfox
Version:	52.7.2
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		https://cyberfox.8pecxstudios.com/
Source3:	%{name}.png
Source4:	cyberfox.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
Obsoletes:	%{name} < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Cyberfox is a free and open source web browser based on
Firefox but with additional optimizations.


%prep
cd %_builddir
wget -nc https://download.8pecxstudios.com/latest/Cyberfox-%{version}.en-US.linux-x86_64.tar.bz2
tar -xvjf Cyberfox-%{version}.en-US.linux-x86_64.tar.bz2
#%setup -q


%build
#nobuild


%install
rm -rf %buildroot

mkdir -p %{buildroot}%{mozillalibdir}
cp -r cyberfox/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/cyberfox %{buildroot}%{_bindir}/cyberfox

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins
mkdir -p %{buildroot}/%{mozillalibdir}/icons

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# icons
%{__cp} %{buildroot}%{mozillalibdir}/browser/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 32 48 ; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
ln -sf %{mozillalibdir}/browser/chrome/icons/default/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/cyberfox.png ;
done

# exclusions
rm -rf %{buildroot}%{mozillalibdir}/README.txt
rm -rf %{buildroot}%{mozillalibdir}/removed-files
rm -rf %{buildroot}%{mozillalibdir}/precomplete


%post
rm -rf /etc/skel/.mozilla 
unset DISPLAY


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Thu Apr 05 2018 bb2 <bb2> - 52.7.2-1pclos2018
- new version

* Sun Dec 10 2017 bb2 <bb2> - 52.5.2-1pclos2017
- new version

* Thu Dec 07 2017 bb2 <bb2> - 52.5.1-1pclos2017
- new version

* Wed Nov 22 2017 bb2 <bb2> - 52.5.0-1pclos2017
- new version

* Sun Nov 12 2017 bb2 <bb2> - 52.4.1-1pclos2017
- new version

* Thu Oct 05 2017 bb2 <bb2> - 52.4.0-1pclos2017
- new version

* Sun Aug 20 2017 bb2 <bb2> - 52.3.0-1pclos2017
- new version

* Sat Jul 01 2017 bb2 <bb2> - 52.2.1-1pclos2017
- new version

* Wed May 24 2017 bb2 <bb2> - 52.1.3-1pclos2017
- new version

* Sat May 6 2017 Q <Q> - 52.1.2-1pclos2017
-new version

* Thu May 5 2017 bb2 <bb2> - 52.1.1-1pclos2017
-new version

* Wed Apr 19 2017 bb2 <bb2> - 52.1.0-1pclos2017
- new version

* Wed Apr 5 2017 bb2 <bb2> - 52.0.4-1pclos2017
- new version

* Wed Mar 29 2017 bb2 <bb2> - 52.0.3-1pclos2017
- new version

* Sat Mar 18 2017 bb2 <bb2> - 52.0.2-1pclos2017
- new version

* Wed Mar 15 2017 bb2 <bb2> - 52.0.1-1pclos2017
- create for pclinuxos
